'use strict';
define(() => {
  class importdwgtwidget {
    constructor() {
      return {
        templateUrl:
          'js/XG/widgets/mapapp/importdwg/views/importdwgwidget.html',
        restrict: 'AE',
        link: scope => {
          // enable importFile() to filter between dwg and dxf
          scope.dwgdxfExtension = '.dwg';
        },
      };
    }
  }

  importdwgtwidget.$inject = [];
  return importdwgtwidget;
});
